# -*- coding: utf-8 -*-

import os
from datetime import datetime
from model.Serializable import Serializable

class Study(Serializable):
    def __init__(self, name, filename, data):
        # Serialization information
        super(Study, self).__init__(filename)
        self.filename = filename

        # Study general information
        self.name = name
        self.comment = ""

        self.creation_date = datetime.now()
        self.last_modification_date = datetime.now()
        self.last_save_date = datetime.now()

        # Study data
        self.data = data

    @classmethod
    def new(cls, name, filename):
        return cls(name, filename, {})
